POST
/ai_labs/organization/{Organization_Id}/members/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/members/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "member_emails": [ "test.singh1@gmail.com" ], "role": "AI_Labs_Student", "groups": [ 57 ]}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/members/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "member_emails": [ "test.singh1@gmail.com", ], "role": "AI_Labs_Student", "groups": [ 57, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/members/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "member_emails": [ "test.singh1@gmail.com" ], "role": "AI_Labs_Student", "groups": [ 57 ] }),});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
member_emails
required
List of member email addresses to be added
Array<string>
role
required
Role assigned to the members
string
Example
AI_Labs_Studentgroups
List of group IDs to which the members should be added
Array<integer>
Responses
Section titled “Responses”Successfully sent member invite
Media typeapplication/json
object
code
integer
data
string
errors
object
message
string
Example
{ "code": 201, "data": "Member Invite Sent.", "errors": {}, "message": "Created Successfully"}